Subject: Re: confused about preserved permissions

From: David Kastrup <[email-masked]>
Date: Tue, 21 Aug 2007 08:04:14 +0200

Mike Hommey <[email-masked]> writes:

> Anyways, that still doesn't say why all these permission bits are
> kept while only the executable bit matters, though it must be
> related to backwards compatibility of hashes.

It is not much that will in practice be retained.  Keeping the whole
kaboodle (including uid and gid) makes git suitable for archival
purposes on Posixy platforms.  The current code offers just a single
policy (suitable for distributed development) with regard to what it
maintains and stores (well, actually two: you can tell it to ignore
the execute bit from the file system), but it would be reasonably
straightforward to extend this with further policies.

-- 
David Kastrup, Kriemhildstr. 15, 44793 Bochum